%define upstream_name    DBIx-Simple
%define upstream_version 1.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy-to-use OO interface to DBI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description

DBIx::Simple provides a simplified interface to DBI, Perl's powerful
database module.

This module is aimed at rapid development and easy maintenance. Query
preparation and execution are combined in a single method, the result
object (which is a wrapper around the statement handle) provides easy
row-by-row and slurping methods.

The 'query' method returns either a result object, or a dummy object. The
dummy object returns undef (or an empty list) for all methods and when used
in boolean context, is false. The dummy object lets you postpone (or skip)
error checking, but it also makes immediate error checking simply
'$db->query(...) or die $db->error'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 1.350.0-3mdv2011.0
+ Revision: 657771
- rebuild for updated spec-helper
- rebuild for updated spec-helper

* Wed Jan 05 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.350.0-1mdv2011.0
+ Revision: 628708
- update to new version 1.35

* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.340.0-1mdv2011.0
+ Revision: 622680
- update to new version 1.34

* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.330.0-1mdv2011.0
+ Revision: 612075
- update to new version 1.33

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.320.0-1mdv2011.0
+ Revision: 401669
- rebuild using %%perl_convert_version
- fixed license field

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.32-1mdv2010.0
+ Revision: 375954
- import perl-DBIx-Simple


